﻿using System;
using System.Collections.Generic;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace WpfApplication1
{
    public class ViewModel : ViewModelBase
    {
        private List<int> data;
        private SeriesDefinition definition;
        private Random rand = new Random(DateTime.Now.Millisecond);

        public ViewModel()
        {
            this.Definition = new SplineSeriesDefinition();
            this.Data = new List<int> { rand.Next(10, 100), rand.Next(10, 100), rand.Next(10, 100), rand.Next(10, 100), rand.Next(10, 100) };
        }

        public SeriesDefinition Definition
        {
            get
            {
                return this.definition;
            }
            set
            {
                if (this.definition != value)
                {
                    this.definition = value;
                    this.OnPropertyChanged("Definition");
                }
            }
        }

        public List<int> Data
        {
            get
            {
                return this.data;
            }
            set
            {
                if (this.data != value)
                {
                    this.data = value;
                    this.OnPropertyChanged("Data");
                }
            }
        }
    }
}
